# Generated from devise-multi-radius-authenticatable-0.3.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name devise-multi-radius-authenticatable

Name: rubygem-%{gem_name}
Version: 0.3.0
Release: 1%{?dist}
Summary: Devise extension to allow authentication via one or more RADIUS servers
License: MIT
URL: http://github.com/mzaccari/devise-radius-authenticatable
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rails) >= 4
# BuildRequires: rubygem(rails) < 5
# BuildRequires: rubygem(sqlite3) >= 1.3
# BuildRequires: rubygem(sqlite3) < 2
# BuildRequires: rubygem(rspec) >= 2.14
# BuildRequires: rubygem(rspec) < 3
# BuildRequires: rubygem(rspec-rails) >= 2.14
# BuildRequires: rubygem(rspec-rails) < 3
# BuildRequires: rubygem(factory_girl) >= 4.4
# BuildRequires: rubygem(factory_girl) < 5
# BuildRequires: rubygem(capybara) >= 2.2.1
# BuildRequires: rubygem(capybara) < 2.3
# BuildRequires: rubygem(launchy)
# BuildRequires: rubygem(ammeter) >= 0.2
# BuildRequires: rubygem(ammeter) < 1
BuildArch: noarch

%description
A new authentication strategy named radius_authenticatable is added to the
list of warden strategies when the model requests it.  The radius server
information is configured through the devise initializer. One or more servers
may be configured.  When a user attempts to authenticate via radius, the
radiustar gem is used to perform the authentication with each server until a
response is received.  This authentication strategy can be used in place of
the database_authenticatable or alongside it depending on the needs of the
application.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/devise-multi-radius-authenticatable.gemspec
%{gem_instdir}/spec

%changelog
* Mon Aug 23 2021 mockbuilder - 0.3.0-1
- Initial package
